### Method

# Clutter Actor remove_child

#### Declaration [src]

    void
    clutter_actor_remove_child (
      ClutterActor* self,
      ClutterActor* child
    )

#### Description [src]

Removes `child` from the children of `self`.

This function will release the reference added by `clutter_actor_add_child()`, so if you want to keep using `child` you will have to acquire a referenced on it before calling this function.

This function will emit the `ClutterActor::child-removed` signal on `self`.

#### Parameters

`child`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.